Bug 195946 - CVE-2006-3082 gnupg integer overflow
Summary: CVE-2006-3082 gnupg integer overflow
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Mike McLean
URL:
Whiteboard: impact=moderate,source=vendorsec,publ...
Keywords: Security
Depends On:
Blocks: 196190
TreeView+ depends on / blocked
 
Reported: 2006-06-19 20:12 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.4.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-06 21:06:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-06-19 20:12:27 UTC
gnupg integer overflow

Text taken from MITRE:

parse-packet.c in GnuPG (gpg) 1.4.3 and 1.9.20 allows remote attackers
to cause a denial of service (gpg crash) and possibly overwrite memory
via a message packet with a large length, which could lead to an
integer overflow, as demonstrated using the --no-armor option.


This issue also affects FC4

Comment 2 Fedora Update System 2006-06-26 23:02:01 UTC
gnupg-1.4.4-2 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 3 Fedora Update System 2006-06-30 20:13:41 UTC
gnupg-1.4.4-2 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Nalin Dahyabhai 2006-07-06 21:06:50 UTC
Updates were pushed, but this didn't get closed.  Weird.


Note You need to log in before you can comment on or make changes to this bug.